package de.mmadler.filecopy.gui;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Label;
import javafx.scene.layout.AnchorPane;
import javafx.stage.Stage;

public class ErrorMessageController extends AnchorPane implements Initializable, IDialogController {
	public static final double dialogWidth = 385.0;
	public static final double dialogHeight = 160.0;

	private Stage _dialog;
	
	@FXML
	private Label fxErrorMessage;
	
	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		fxErrorMessage.setWrapText(true);
	}

	@Override
	public void setDialog(Stage dialog) {
		_dialog = dialog;
	}
	
	@Override
	public void setLabel(String text) {
		fxErrorMessage.setText(text);
	}

	public void ok() { _dialog.close(); }
}
